Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.testing.todo
Class DeprecationOWLTest

    java.lang.Object
      edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
          edu.stanford.smi.protegex.owl.testing.todo.DeprecationOWLTest

All Implemented Interfaces:
  OWLTest, RDFPropertyTest, RDFSClassTest

    public class DeprecationOWLTest

extends AbstractOWLTest
implements RDFSClassTest, RDFPropertyTest

Author:
  Holger Knublauch

Field Summary

Fields inherited from class edu.stanford.smi.protegex.owl.testing.AbstractOWLTest
`SANITY_GROUP`

Constructor Summary
`DeprecationOWLTest()`

Method Summary
`String` | `getDocumentation()` Gets a documentation text that describes the test.
`String` | `getGroup()`
`String` | `getName()`
`List` | `test(RDFProperty property)` Performs a check of a given property.
`List` | `test(RDFSClass aClass)` Performs a check of a given RDFSClass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeprecationOWLTest

    public DeprecationOWLTest()

Method Detail

### getDocumentation

    public String getDocumentation()

  Description copied from interface: `OWLTest`
  Gets a documentation text that describes the test. This could be HTML text.

  Specified by:
    `getDocumentation` in interface `OWLTest`
  Overrides:
    `getDocumentation` in class `AbstractOWLTest`
  Returns:
    the documentation

### getGroup

    public String getGroup()

  Specified by:
    `getGroup` in interface `OWLTest`
  Overrides:
    `getGroup` in class `AbstractOWLTest`

### getName

    public String getName()

  Specified by:
    `getName` in interface `OWLTest`
  Overrides:
    `getName` in class `AbstractOWLTest`

### test

    public List test(RDFProperty property)

  Description copied from interface: `RDFPropertyTest`
  Performs a check of a given property.

  Specified by:
    `test` in interface `RDFPropertyTest`
  Parameters:
    `property` - the RDFProperty to check
  Returns:
    a list of OWLTestResult objects

### test

    public List test(RDFSClass aClass)

  Description copied from interface: `RDFSClassTest`
  Performs a check of a given RDFSClass.

  Specified by:
    `test` in interface `RDFSClassTest`
  Parameters:
    `aClass` - the RDFSClass to check
  Returns:
    a list of OWLTestResult objects

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.